#ifndef __OCR_ENGINE_GOCR_H__
#define __OCR_ENGINE_GOCR_H__

#include <glib.h>
#include <glib-object.h>
#include "ocr-engine.h"

G_BEGIN_DECLS

#define OCR_TYPE_ENGINE_GOCR             (ocr_engine_gocr_get_type ())
#define OCR_ENGINE_GOCR(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_ENGINE_GOCR, OcrEngineGocr))
#define OCR_ENGINE_GOCR_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_ENGINE_GOCR, OcrEngineGocrClass))
#define OCR_IS_ENGINE_GOCR(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_ENGINE_GOCR))
#define OCR_IS_ENGINE_GOCR_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_ENGINE_GOCR))
#define OCR_ENGINE_GOCR_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_ENGINE_GOCR, OcrEngineGocrClass))

typedef struct _OcrEngineGocr      OcrEngineGocr;
typedef struct _OcrEngineGocrClass OcrEngineGocrClass;

struct _OcrEngineGocr
{
  OcrEngine parent_instance;
  
  gint      gocr_l;
  gboolean  gocr_l_autodetect;
  gint      gocr_d;
  gboolean  gocr_d_autodetect;
  gint      gocr_s;
  gboolean  gocr_s_autodetect;
  gint      gocr_a;
  gboolean  gocr_a_default;
};

struct _OcrEngineGocrClass
{
  OcrEngineClass parent_class;
};

GType		 	 ocr_engine_gocr_get_type			(void);
gboolean		 ocr_engine_gocr_launch_gocr		(OcrEngineGocr *self);

G_END_DECLS

#endif /* __OCR_ENGINE_GOCR_H__ */
