#ifndef __OCR_FILE_CHOOSER_DIALOG_H__
#define __OCR_FILE_CHOOSER_DIALOG_H__

#include <gtk/gtkfilechooserdialog.h>

G_BEGIN_DECLS

#define OCR_TYPE_FILE_CHOOSER_DIALOG             (ocr_file_chooser_dialog_get_type ())
#define OCR_FILE_CHOOSER_DIALOG(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_FILE_CHOOSER_DIALOG, OcrFileChooserDialog))
#define OCR_FILE_CHOOSER_DIALOG_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_FILE_CHOOSER_DIALOG, OcrFileChooserDialogClass))
#define OCR_IS_FILE_CHOOSER_DIALOG(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_FILE_CHOOSER_DIALOG))
#define OCR_IS_FILE_CHOOSER_DIALOG_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_FILE_CHOOSER_DIALOG))
#define OCR_FILE_CHOOSER_DIALOG_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_FILE_CHOOSER_DIALOG, OcrFileChooserDialogClass))

typedef enum {
  OCR_FILE_CHOOSER_DIALOG_IMAGE = 1,
  OCR_FILE_CHOOSER_DIALOG_TEXT,
  OCR_FILE_CHOOSER_DIALOG_MAX_TYPE
} OcrFileChooserDialogType;

typedef struct _OcrFileChooserDialog      OcrFileChooserDialog;
typedef struct _OcrFileChooserDialogClass OcrFileChooserDialogClass;

typedef struct _OcrFileChooserDialogPrivate OcrFileChooserDialogPrivate;

struct _OcrFileChooserDialog
{
  GtkFileChooserDialog parent_instance;

  OcrFileChooserDialogPrivate *priv;
};

struct _OcrFileChooserDialogClass
{
  GtkFileChooserDialogClass parent_class;
};

GType			 ocr_file_chooser_dialog_get_type	(void) G_GNUC_CONST;
GtkWidget		*ocr_file_chooser_dialog_new		(GtkFileChooserAction      action,
								 GtkWindow                *parent_window,
								 OcrFileChooserDialogType  type);

G_END_DECLS

#endif /* __OCR_FILE_CHOOSER_DIALOG_H__ */
