#ifndef __OCR_IMAGEVIEW_H__
#define __OCR_IMAGEVIEW_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>

#define OCR_TYPE_IMAGEVIEW              (ocr_imageview_get_type())
#define OCR_IMAGEVIEW(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_IMAGEVIEW, OcrImageView))
#define OCR_IS_IMAGEVIEW(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_IMAGEVIEW))
#define OCR_IMAGEVIEW_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_IMAGEVIEW, OcrImageViewClass))
#define OCR_IS_IMAGEVIEW_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_IMAGEVIEW))
#define OCR_IMAGEVIEW_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_IMAGEVIEW, OcrImageViewClass))

typedef struct _OcrImageView            OcrImageView;
typedef struct _OcrImageViewClass       OcrImageViewClass;
typedef struct _OcrImageViewPrivate     OcrImageViewPrivate;

struct _OcrImageView
{
  GtkTable parent_instance;

  OcrImageViewPrivate *priv;
};

struct _OcrImageViewClass
{
  GtkTableClass parent_class;
};

GType			 ocr_imageview_get_type			(void);
void			 ocr_imageview_zoom_image		(OcrImageView *self,
								 gdouble       percentage);
gdouble			 ocr_imageview_get_fit_image_percentage (OcrImageView *self);

#endif /* __OCR_IMAGEVIEW_H__ */
