%define name ocrgui
%define version 0.2.2
%define release 1
%define prefix /usr

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL3
BuildRoot:%{_tmppath}/%{name}-%{version}-build
Requires: glib2 >= 2.18.2
Requires: gtk2 >= 2.14.4
Requires: dbus-1-glib >= 0.76
Requires: hunspell >= 1.2.7
Requires: ImageMagick >= 6.0
Requires: intltool >= 0.40
Requires: pkgconfig
BuildRequires: glib2-devel >= 2.18.2
BuildRequires: gtk2-devel >= 2.14.4
BuildRequires: dbus-1-glib-devel >= 0.76
BuildRequires: hunspell-devel >= 1.2.7
#BuildRequires: update-desktop-files
#%if %suse_version >= 1021
#BuildRequires: gcc41-c++
#%endif
Group: Productivity/Graphics
Packager: Emanuele Sicchiero <emanuele.sicchiero@gmail.com>
Summary: A GUI for OCR programs.
Summary(it): Una GUI per programmi OCR.
URL: http://sourceforge.net/projects/ocrgui
Source: %{name}-%{version}.tar.gz

%description
A GUI (Graphic User Interface) for OCR (Optical Character Recognition) programs.
It supports Tesseract and Gocr and provides a spell check for extracted text
using Hunspell.

%description -l it
Una GUI (Graphic User Interface) per programmi OCR (Optical Character Recognition).
Supporta Tesseract e Gocr e fornisce, attraverso Hunspell, il controllo ortografico
del testo estratto.

%prep
%setup -q

%build
%configure --prefix=%{prefix}

%install
rpm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#%suse_update_desktop_file -r amsn Productivity/Networking/AOLInstantMessenger

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_bindir}/ocrgui
%{_datadir}/ocrgui/*
%{_datadir}/icons/hicolor/*
%{_datadir}/applications/ocrgui.desktop
%{_datadir}/locale/*/LC_MESSAGES/ocrgui.mo

%changelog
* Mon Jun 29 2009 Emanuele Sicchiero <emanuele.sicchiero@gmail.com>
- Initial release
