#ifndef __OCR_COMMANDS_H__
#define __OCR_COMMANDS_H__

#include <gtk/gtkaction.h>
#include "ocr-window.h"

void		ocr_cmd_open_image			(GtkAction *action,
							 OcrWindow *window);
void		ocr_cmd_save_multiple_texts		(GtkAction *action,
							 OcrWindow *window);
void		ocr_cmd_close_image			(GtkAction *action,
							 OcrWindow *window);
void		ocr_cmd_quit				(GtkAction *action,
							 OcrWindow *window);
void		ocr_cmd_preferences			(GtkAction *action,
							 OcrWindow *window);

void		ocr_cmd_run_ocr				(GtkAction *action,
							 OcrWindow *window);
void		ocr_cmd_zoom				(GtkAction *action,
							 OcrWindow *window);

void		ocr_cmd_save_text			(GtkAction *action,
							 OcrWindow *window);
void		ocr_cmd_text_spellcheck			(GtkAction *action,
							 OcrWindow *window);
void		ocr_cmd_select_font			(GtkAction *action,
							 OcrWindow *window);

void		ocr_cmd_help				(GtkAction *action,
							 OcrWindow *window);
void		ocr_cmd_about				(GtkAction *action,
							 OcrWindow *window);

void		ocr_load_image				(OcrWindow *window,
							 gchar     *uri_arg);

#endif /* __OCR_COMMANDS_H__ */
