#ifndef __OCR_ENGINE_TESSERACT_H__
#define __OCR_ENGINE_TESSERACT_H__

#include <glib.h>
#include <glib-object.h>
#include "ocr-engine.h"

G_BEGIN_DECLS

#define OCR_TYPE_ENGINE_TESSERACT             (ocr_engine_tesseract_get_type ())
#define OCR_ENGINE_TESSERACT(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), OCR_TYPE_ENGINE_TESSERACT, OcrEngineTesseract))
#define OCR_ENGINE_TESSERACT_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), OCR_TYPE_ENGINE_TESSERACT, OcrEngineTesseractClass))
#define OCR_IS_ENGINE_TESSERACT(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OCR_TYPE_ENGINE_TESSERACT))
#define OCR_IS_ENGINE_TESSERACT_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), OCR_TYPE_ENGINE_TESSERACT))
#define OCR_ENGINE_TESSERACT_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), OCR_TYPE_ENGINE_TESSERACT, OcrEngineTesseractClass))

typedef struct _OcrEngineTesseract      OcrEngineTesseract;
typedef struct _OcrEngineTesseractClass OcrEngineTesseractClass;

struct _OcrEngineTesseract
{
  OcrEngine parent_instance;
  
  gchar *tesseract_language_code;
};

struct _OcrEngineTesseractClass
{
  OcrEngineClass parent_class;
};

GType		 	 ocr_engine_tesseract_get_type			(void);
gboolean		 ocr_engine_tesseract_launch_tesseract		(OcrEngineTesseract *self);

G_END_DECLS

#endif /* __OCR_ENGINE_TESSERACT_H__ */
